package p2.application.tcustomer_order;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.tcustomer_reception.tcustomer_reception;

public class tcustomer_order extends PaoCust {
    public tcustomer_order(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void init() throws P2Exception {
        super.init();
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof tcustomer_reception) {
            setValue("tcustomer_receptid", getOwner().getUniqueIDValue(), 11L);
            setValue("tagentsid", getOwner().getLong("tagentsid"), 11L);
            setValue("tcustomerid", getOwner().getLong("tcustomerid"), 11L);
        }
    }
}
